ad_page_contract {
    @author Frank Bergmann frank.bergmann@project-open.com
    @creation-date 2007-12-10
    @cvs-id $Id$
} {
    
}

# ******************************************************
# Default & Security
# ******************************************************

set page_title "Export All Pending Invoices"
set context_bar [im_context_bar $page_title]

set user_id [ad_maybe_redirect_for_registration]
set user_is_admin_p [im_is_user_site_wide_or_intranet_admin $user_id]
if {!$user_is_admin_p} {
    ad_return_complaint 1 "You have insufficient privileges to use this page"
    return
}

# ------------------------------------------------------
# Show the trace
# ------------------------------------------------------

set num_invoices_exported [im_ubl::export_all_invoices]
set export_path [parameter::get_from_package_key -package_key "intranet-ubl" -parameter "UblExportPathUnix" -default "/web/projop/filestorage/ubl"]

